{***************************************************************************}
{                      UNIDAD DE JOYSTICK BIOS SERVICES

                                  Copyright (c) 1998 Marco Antonio Alvarado
}
{***************************************************************************}

UNIT UJBS;

INTERFACE

  FUNCTION LeeBotones : Byte;
  PROCEDURE LeePosicion (VAR X1, Y1, X2, Y2 : Word);

IMPLEMENTATION

  CONST
    InterrupcionPalanca = $15;
    FuncionPalanca = $84;
    FuncionLeeBotones = $0000;
    FuncionLeePosicion = $0001;

  FUNCTION LeeBotones : Byte; ASSEMBLER;
  ASM
    MOV AH, FuncionPalanca
    MOV DX, FuncionLeeBotones
    INT InterrupcionPalanca
  END;

  PROCEDURE LeePosicion (VAR X1, Y1, X2, Y2 : Word); ASSEMBLER;
  ASM
    MOV AH, FuncionPalanca
    MOV DX, FuncionLeePosicion
    INT InterrupcionPalanca
    LES DI, X1
    MOV ES:Word PTR [DI], AX
    LES DI, Y1
    MOV ES:Word PTR [DI], BX
    LES DI, X2
    MOV ES:Word PTR [DI], CX
    LES DI, Y2
    MOV ES:Word PTR [DI], DX
  END;

END.